# TdApi.InputMessageAudio (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputMessageAudio

Package it.tdlight.jni

# Class TdApi.InputMessageAudio

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageAudio

Enclosing class:
  TdApi

    public static class TdApi.InputMessageAudio
    extends TdApi.InputMessageContent

An audio message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.InputThumbnail` | `albumCoverThumbnail` | Thumbnail of the cover for the album; pass null to skip thumbnail uploading.
`TdApi.InputFile` | `audio` | Audio file to be sent.
`TdApi.FormattedText` | `caption` | Audio caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.
`static int` | `CONSTRUCTOR` |
`int` | `duration` | Duration of the audio, in seconds; may be replaced by the server.
`String` | `performer` | Performer of the audio; 0-64 characters, may be replaced by the server.
`String` | `title` | Title of the audio; 0-64 characters; may be replaced by the server.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputMessageAudio()` | An audio message.
`InputMessageAudio​(TdApi.InputFile audio, TdApi.InputThumbnail albumCoverThumbnail, int duration, String title, String performer, TdApi.FormattedText caption)` | An audio message.
`InputMessageAudio​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### audio

public TdApi.InputFile audio
Audio file to be sent.

### albumCoverThumbnail

public TdApi.InputThumbnail albumCoverThumbnail
Thumbnail of the cover for the album; pass null to skip thumbnail uploading.

### duration

public int duration
Duration of the audio, in seconds; may be replaced by the server.

### title

public String title
Title of the audio; 0-64 characters; may be replaced by the server.

### performer

public String performer
Performer of the audio; 0-64 characters, may be replaced by the server.

### caption

public TdApi.FormattedText caption
Audio caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputMessageAudio

public InputMessageAudio()
An audio message.

### InputMessageAudio

public InputMessageAudio​(TdApi.InputFile audio, TdApi.InputThumbnail albumCoverThumbnail, int duration, String title, String performer, TdApi.FormattedText caption)
An audio message.

Parameters:
  `audio` - InputFile Audio file to be sent.
  `albumCoverThumbnail` - InputThumbnail Thumbnail of the cover for the album; pass null to skip thumbnail uploading.
  `duration` - int Duration of the audio, in seconds; may be replaced by the server.
  `title` - String Title of the audio; 0-64 characters; may be replaced by the server.
  `performer` - String Performer of the audio; 0-64 characters, may be replaced by the server.
  `caption` - FormattedText Audio caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.

### InputMessageAudio

public InputMessageAudio​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`